# -*- coding: utf-8 -*-
##############################################################################
#
#    timebomb module for OpenERP
#    Copyright (C) 2010 Akretion BEAU Sébastien <sebastien.beau@akretion.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
from tools import config



class stock_picking(osv.osv):
    _name = "stock.picking"
    _inherit = "stock.picking"

    def _country_origin_ids(self, cr, uid, ids, field_name, arg, context):
        res = {}
        country_id = self.pool.get('res.country').search(cr, uid, [], context=context)[0]
        for id in ids:
            res[id] = [country_id]
	return res

    _columns = {
	'country_origin_ids'		: fields.function(_country_origin_ids, method=True, type='one2many', relation='res.country'),
    }

stock_picking() 


